package com.steering.Demand.entity;

/**
 * 数据库表TMS_COM_UNLOADING所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2020-04-21
 */
@SuppressWarnings("serial")
public class TmsComUnloadingEntity implements java.io.Serializable {
    /**
     * 装卸点代码(ZX+4位流水)
     */
    private String unloadingCode = "";
    /**
     * 装卸点描叙
     */
    private String unloadingDesc = "";
    /**
     * 装卸点位置区分代码( 厂内 /厂外)(A01005)
     */
    private String unloadingLocationCode = "";
    /**
     * 装卸点位置区分
     */
    private String unloadingLocationDesc = "";
    /**
     * 装卸点所属区域代码(产销系统中库房/产线代码)
     */
    private String unloadingAreaCode = "";
    /**
     * 装卸点所属区域
     */
    private String unloadingAreaDesc = "";
    /**
     * 经度
     */
    private String longitudeVal = "";
    /**
     * 纬度
     */
    private String latitudeVal = "";
    /**
     * 电子围栏范围(公里)
     */
    private String rangeVal = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人ID
     */
    private String createUserid = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人ID
     */
    private String updateUserid = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 废除人ID
     */
    private String deleteUserid = "";
    /**
     * 废除人
     */
    private String deleteName = "";
    /**
     * 废除时间
     */
    private String deleteTime = "";
    /**
     * 需要吊车(1:需要, 0-不需要)
     */
    private String needCrane = "";
    /**
     * 是否离线库
     */
    private String ifOffline = "";

    /**
     * 装卸点代码(ZX+4位流水)
     * @return value
     */
    public String getUnloadingCode() {
        return unloadingCode;
    }

    /**
     * 装卸点代码(ZX+4位流水)
     * @param unloadingCode value
     */
    public void setUnloadingCode(String unloadingCode) {
        this.unloadingCode = unloadingCode;
    }

    /**
     * 装卸点描叙
     * @return value
     */
    public String getUnloadingDesc() {
        return unloadingDesc;
    }

    /**
     * 装卸点描叙
     * @param unloadingDesc value
     */
    public void setUnloadingDesc(String unloadingDesc) {
        this.unloadingDesc = unloadingDesc;
    }

    /**
     * 装卸点位置区分代码( 厂内 /厂外)(A01005)
     * @return value
     */
    public String getUnloadingLocationCode() {
        return unloadingLocationCode;
    }

    /**
     * 装卸点位置区分代码( 厂内 /厂外)(A01005)
     * @param unloadingLocationCode value
     */
    public void setUnloadingLocationCode(String unloadingLocationCode) {
        this.unloadingLocationCode = unloadingLocationCode;
    }

    /**
     * 装卸点位置区分
     * @return value
     */
    public String getUnloadingLocationDesc() {
        return unloadingLocationDesc;
    }

    /**
     * 装卸点位置区分
     * @param unloadingLocationDesc value
     */
    public void setUnloadingLocationDesc(String unloadingLocationDesc) {
        this.unloadingLocationDesc = unloadingLocationDesc;
    }

    /**
     * 装卸点所属区域代码(产销系统中库房/产线代码)
     * @return value
     */
    public String getUnloadingAreaCode() {
        return unloadingAreaCode;
    }

    /**
     * 装卸点所属区域代码(产销系统中库房/产线代码)
     * @param unloadingAreaCode value
     */
    public void setUnloadingAreaCode(String unloadingAreaCode) {
        this.unloadingAreaCode = unloadingAreaCode;
    }

    /**
     * 装卸点所属区域
     * @return value
     */
    public String getUnloadingAreaDesc() {
        return unloadingAreaDesc;
    }

    /**
     * 装卸点所属区域
     * @param unloadingAreaDesc value
     */
    public void setUnloadingAreaDesc(String unloadingAreaDesc) {
        this.unloadingAreaDesc = unloadingAreaDesc;
    }

    /**
     * 经度
     * @return value
     */
    public String getLongitudeVal() {
        return longitudeVal;
    }

    /**
     * 经度
     * @param longitudeVal value
     */
    public void setLongitudeVal(String longitudeVal) {
        this.longitudeVal = longitudeVal;
    }

    /**
     * 纬度
     * @return value
     */
    public String getLatitudeVal() {
        return latitudeVal;
    }

    /**
     * 纬度
     * @param latitudeVal value
     */
    public void setLatitudeVal(String latitudeVal) {
        this.latitudeVal = latitudeVal;
    }

    /**
     * 电子围栏范围(公里)
     * @return value
     */
    public String getRangeVal() {
        return rangeVal;
    }

    /**
     * 电子围栏范围(公里)
     * @param rangeVal value
     */
    public void setRangeVal(String rangeVal) {
        this.rangeVal = rangeVal;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 需要吊车(1:需要, 0-不需要)
     * @return value
     */
    public String getNeedCrane() {
        return needCrane;
    }

    /**
     * 需要吊车(1:需要, 0-不需要)
     * @param needCrane value
     */
    public void setNeedCrane(String needCrane) {
        this.needCrane = needCrane;
    }

    /**
     * 是否离线库
     * @return value
     */
    public String getIfOffline() {
        return ifOffline;
    }

    /**
     * 是否离线库
     * @param ifOffline value
     */
    public void setIfOffline(String ifOffline) {
        this.ifOffline = ifOffline;
    }
}